Index: /trunk/user/transpose/transpose.c
===================================================================
--- /trunk/user/transpose/transpose.c	(revision 656)
+++ /trunk/user/transpose/transpose.c	(revision 657)
@@ -887,4 +981,14 @@
     printf( "\n ------ %s ------\n" , filename );
     fprintf( f , "\n ------ %s ------\n" , filename );
+
+    printf( " - ALOC_START : min = %d / max = %d / delta = %d\n",
+           min_aloc_start, max_aloc_start, max_aloc_start-min_aloc_start ); 
+    fprintf( f , " - ALOC_START : min = %d / max = %d / delta = %d\n",
+           min_aloc_start, max_aloc_start, max_aloc_start-min_aloc_start ); 
+
+    printf( " - ALOC_END   : min = %d / max = %d / delta = %d\n",
+           min_aloc_start, max_aloc_start, max_aloc_start-min_aloc_start ); 
+    fprintf( f , " - ALOC_END   : min = %d / max = %d / delta = %d\n",
+           min_aloc_start, max_aloc_start, max_aloc_start-min_aloc_start ); 
 
     printf( " - LOAD_START : min = %d / max = %d / delta = %d\n",
@@ -908,17 +1012,54 @@
            min_trsp_ended, max_trsp_ended, max_trsp_ended-min_trsp_ended ); 
 
-    printf( " - DISP_START : min = %d / max = %d / delta = %d\n",
-           min_disp_start, max_disp_start, max_disp_start-min_disp_start ); 
-    fprintf( f , " - DISP_START : min = %d / max = %d / delta = %d\n",
-           min_disp_start, max_disp_start, max_disp_start-min_disp_start ); 
-
-    printf( " - DISP_END   : min = %d / max = %d / delta = %d\n",
-           min_disp_ended, max_disp_ended, max_disp_ended-min_disp_ended ); 
-    fprintf( f , " - DISP_END   : min = %d / max = %d / delta = %d\n",
-           min_disp_ended, max_disp_ended, max_disp_ended-min_disp_ended ); 
-
-    printf( "\n   Sequencial = %d / Parallel = %d\n", SEQUENCIAL_TIME, PARALLEL_TIME );
-    fprintf( f , "\n   Sequencial = %d / Parallel = %d\n", SEQUENCIAL_TIME, PARALLEL_TIME );
-
+    printf( " - SAVE_START : min = %d / max = %d / delta = %d\n",
+           min_save_start, max_save_start, max_save_start-min_save_start ); 
+    fprintf( f , " - SAVE_START : min = %d / max = %d / delta = %d\n",
+           min_save_start, max_save_start, max_save_start-min_save_start ); 
+
+    printf( " - SAVE_END   : min = %d / max = %d / delta = %d\n",
+           min_save_ended, max_save_ended, max_save_ended-min_save_ended ); 
+    fprintf( f , " - SAVE_END   : min = %d / max = %d / delta = %d\n",
+           min_save_ended, max_save_ended, max_save_ended-min_save_ended ); 
+
+    printf( " - FREE_START : min = %d / max = %d / delta = %d\n",
+           min_free_start, max_free_start, max_free_start-min_free_start ); 
+    fprintf( f , " - FREE_START : min = %d / max = %d / delta = %d\n",
+           min_free_start, max_free_start, max_free_start-min_free_start ); 
+
+    printf( " - FREE_END   : min = %d / max = %d / delta = %d\n",
+           min_free_start, max_free_start, max_free_start-min_free_start ); 
+    fprintf( f , " - FREE_END   : min = %d / max = %d / delta = %d\n",
+           min_free_start, max_free_start, max_free_start-min_free_start ); 
+
+
+    printf( "\n   Sequencial %d"
+            "\n   Parallel   %d"
+            "\n   Alloc      %d"
+            "\n   Load       %d"
+            "\n   Transpose  %d"
+            "\n   Save       %d"
+            "\n   Free       %d\n" ,
+            SEQUENCIAL_TIME / 1000 ,
+            PARALLEL_TIME / 1000 ,
+            (max_aloc_ended - min_aloc_start) / 1000 ,
+            (max_load_ended - min_load_start) / 1000 ,
+            (max_trsp_ended - min_trsp_start) / 1000 ,
+            (max_save_ended - min_save_start) / 1000 ,
+            (max_free_ended - min_free_start) / 1000 );
+
+    fprintf( f , "\n   Sequencial %d"
+            "\n   Parallel   %d"
+            "\n   Alloc      %d"
+            "\n   Load       %d"
+            "\n   Transpose  %d"
+            "\n   Save       %d"
+            "\n   Free       %d\n" ,
+            SEQUENCIAL_TIME / 1000 ,
+            PARALLEL_TIME / 1000 ,
+            (max_aloc_ended - min_aloc_start) / 1000 ,
+            (max_load_ended - min_load_start) / 1000 ,
+            (max_trsp_ended - min_trsp_start) / 1000 ,
+            (max_save_ended - min_save_start) / 1000 ,
+            (max_free_ended - min_free_start) / 1000 );
 }  // end instrument()
 
